import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine";
import "Turbine.Utils";
import "DigitalUtopia.Palantir";
import "DigitalUtopia.DUInterface";
import "Turbine.Gameplay";

oM=OptionsManager();
local pluginName = "Palantir";
local settingsOne = "Main";
local settingsTwo = "Color";
local settingsThree = "Text";
local settingsFour = "Quickslot";


local main={};
local color={};
local text={};
local qslot={};

function UnloadPlugin()
	oM.mWindow.dbb.wqs:SetShortcut(nil);
	oM.mWindow.dbb.fqs:SetShortcut(nil);
	oM.mWindow.dbb.dqs:SetShortcut(nil);
	oM.mWindow.dbb.pqs:SetShortcut(nil);
	oM.mWindow.dbb.Refresh();   
	oM.SaveSettings();
end

window = Turbine.UI.Window();
window:SetWantsUpdates(true);
window.Update = function(sender,args)
	if (Plugins[pluginName] ~= nil) then
		Plugins[pluginName].Unload = function(self,sender,args)
			UnloadPlugin();
		end
		window:SetWantsUpdates(false);
	end
end       

function loadHandle()

end

function qsHandle()
	                 

end


local tempLoad = Turbine.PluginData.Load(Turbine.DataScope.Account,"Scope");
if(tempLoad~=nil)then
	local scopeVal = tempLoad.Value;
	local scope="";
	if(scopeVal==1)then
		scope=Turbine.DataScope.Account;
	elseif(scopeVal==2)then
		scope=Turbine.DataScope.Character;
	else
		scope=Turbine.DataScope.Server
	end
	tempLoad = Turbine.PluginData.Load(scope,settingsOne);
	if (tempLoad~=nil)then
		main=tempLoad;
		color=Turbine.PluginData.Load(scope,settingsTwo);
		text=Turbine.PluginData.Load(scope,settingsThree);
		qslot = Turbine.PluginData.Load(scope,settingsFour);
		oM.loadSettings(main,color,text);
		if(qslot ~= nil)then
			oM.AddShortcuts(qslot);
		end
	else
		--use defaults;
		main = oM.defaultOptionsMain;
		color = oM.defaultOptionsColor;
		text = oM.defaultOptionsText;
		oM.loadSettings(main,color,text);	
	
	end
	
else
	main = oM.defaultOptionsMain;
	color = oM.defaultOptionsColor;
	text = oM.defaultOptionsText;
	oM.loadSettings(main,color,text);

end	

Turbine.Shell.WriteLine("Palantir v1.01 by Digital_Utopia");
	