
import "Turbine.UI";
import "Turbine.Utils";

TestButton = class( Turbine.UI.Button );

function TestButton:Constructor()
	Turbine.UI.Button.Constructor( self );
	self:SetBackColor( Turbine.UI.Color( 1, 0.4, 0.4, 1 ) );
	self:SetSize( 40, 40 );

	self.MouseDown = function( sender, args )
		Turbine.UI.Button.SetBackColor( sender, self.halfBackColor );
	end

	self.MouseUp = function( sender, args )
		Turbine.UI.Button.SetBackColor( sender, self.backColor );
	end
end

function TestButton:SetBackColor( color )
	Turbine.UI.Button.SetBackColor( self, color );
	self.backColor = color
	self.halfBackColor = Turbine.UI.Color( color.A, color.R / 2, color.G / 2, color.B / 2 );
end
