
import "Turbine.UI";
import "Turbine.Utils";

TestWindow = class( Turbine.UI.Window );

function TestWindow:Constructor()
	Turbine.UI.Window.Constructor( self );

	self:SetBackColor( Turbine.UI.Color( 1, 0.4, 0.4, 1 ) );
	self:SetSize( 200, 200 );

	self.MouseDown = function( sender, args )
		sender.dragStartX = args.X;
		sender.dragStartY = args.Y;
		sender.dragging = true;
	end
	
	self.MouseMove = function( sender, args )
		local left, top = sender:GetPosition();
		
		if ( sender.dragging ) then
			sender:SetPosition( left + ( args.X - sender.dragStartX ), top + ( args.Y - sender.dragStartY ) );
		end
	end
	
	self.MouseUp = function( sender, args )
		sender.dragging = false;
	end
end
